--------------------------------------------------------------------------------
-- mymicroblaze_wrapper.vhd
--------------------------------------------------------------------------------
LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;

-- synthesis translate_off
LIBRARY UNISIM;
USE UNISIM.VCOMPONENTS.ALL;
-- synthesis translate_on

LIBRARY microblaze_v2_00_a;
USE microblaze_v2_00_a.ALL;

ENTITY mymicroblaze_wrapper IS
PORT (
	-- instance mymicroblaze
	CLK : IN STD_LOGIC;
	INTERRUPT : IN STD_LOGIC;
	RESET : IN STD_LOGIC;
	DEBUG_RST : IN STD_LOGIC;
	EXT_BRK : IN STD_LOGIC;
	EXT_NM_BRK : IN STD_LOGIC;
	DBG_STOP : IN STD_LOGIC;
	INSTR : IN STD_LOGIC_VECTOR(0 TO 31);
	IREADY : IN STD_LOGIC;
	INSTR_ADDR : OUT STD_LOGIC_VECTOR(0 TO 31);
	IFETCH : OUT STD_LOGIC;
	I_AS : OUT STD_LOGIC;
	DATA_READ : IN STD_LOGIC_VECTOR(0 TO 31);
	DREADY : IN STD_LOGIC;
	DATA_WRITE : OUT STD_LOGIC_VECTOR(0 TO 31);
	DATA_ADDR : OUT STD_LOGIC_VECTOR(0 TO 31);
	D_AS : OUT STD_LOGIC;
	READ_STROBE : OUT STD_LOGIC;
	WRITE_STROBE : OUT STD_LOGIC;
	BYTE_ENABLE : OUT STD_LOGIC_VECTOR(0 TO 3);
	DM_ABUS : OUT STD_LOGIC_VECTOR(0 TO 31);
	DM_BE : OUT STD_LOGIC_VECTOR(0 TO 3);
	DM_BUSLOCK : OUT STD_LOGIC;
	DM_DBUS : OUT STD_LOGIC_VECTOR(0 TO 31);
	DM_REQUEST : OUT STD_LOGIC;
	DM_RNW : OUT STD_LOGIC;
	DM_SELECT : OUT STD_LOGIC;
	DM_SEQADDR : OUT STD_LOGIC;
	DOPB_DBUS : IN STD_LOGIC_VECTOR(0 TO 31);
	DOPB_ERRACK : IN STD_LOGIC;
	DOPB_MGRANT : IN STD_LOGIC;
	DOPB_RETRY : IN STD_LOGIC;
	DOPB_TIMEOUT : IN STD_LOGIC;
	DOPB_XFERACK : IN STD_LOGIC;
	IM_ABUS : OUT STD_LOGIC_VECTOR(0 TO 31);
	IM_BE : OUT STD_LOGIC_VECTOR(0 TO 3);
	IM_BUSLOCK : OUT STD_LOGIC;
	IM_DBUS : OUT STD_LOGIC_VECTOR(0 TO 31);
	IM_REQUEST : OUT STD_LOGIC;
	IM_RNW : OUT STD_LOGIC;
	IM_SELECT : OUT STD_LOGIC;
	IM_SEQADDR : OUT STD_LOGIC;
	IOPB_DBUS : IN STD_LOGIC_VECTOR(0 TO 31);
	IOPB_ERRACK : IN STD_LOGIC;
	IOPB_MGRANT : IN STD_LOGIC;
	IOPB_RETRY : IN STD_LOGIC;
	IOPB_TIMEOUT : IN STD_LOGIC;
	IOPB_XFERACK : IN STD_LOGIC;
	DBG_CLK : IN STD_LOGIC;
	DBG_TDI : IN STD_LOGIC;
	DBG_TDO : OUT STD_LOGIC;
	DBG_REG_EN : IN STD_LOGIC_VECTOR(0 TO 4);
	DBG_CAPTURE : IN STD_LOGIC;
	DBG_UPDATE : IN STD_LOGIC;
	VALID_INSTR : OUT STD_LOGIC;
	PC_EX : OUT STD_LOGIC_VECTOR(0 TO 31);
	REG_WRITE : OUT STD_LOGIC;
	REG_ADDR : OUT STD_LOGIC_VECTOR(0 TO 4);
	MSR_REG : OUT STD_LOGIC_VECTOR(0 TO 7);
	NEW_REG_VALUE : OUT STD_LOGIC_VECTOR(0 TO 31);
	PIPE_RUNNING : OUT STD_LOGIC;
	INTERRUPT_TAKEN : OUT STD_LOGIC;
	JUMP_TAKEN : OUT STD_LOGIC;
	PREFETCH_ADDR : OUT STD_LOGIC_VECTOR(0 TO 3);
	MB_Halted : OUT STD_LOGIC;
	FSL0_S_CLK : OUT STD_LOGIC;
	FSL0_S_READ : OUT STD_LOGIC;
	FSL0_S_DATA : IN STD_LOGIC_VECTOR(0 TO 31);
	FSL0_S_CONTROL : IN STD_LOGIC;
	FSL0_S_EXISTS : IN STD_LOGIC;
	FSL0_M_CLK : OUT STD_LOGIC;
	FSL0_M_WRITE : OUT STD_LOGIC;
	FSL0_M_DATA : OUT STD_LOGIC_VECTOR(0 TO 31);
	FSL0_M_CONTROL : OUT STD_LOGIC;
	FSL0_M_FULL : IN STD_LOGIC;
	FSL1_S_CLK : OUT STD_LOGIC;
	FSL1_S_READ : OUT STD_LOGIC;
	FSL1_S_DATA : IN STD_LOGIC_VECTOR(0 TO 31);
	FSL1_S_CONTROL : IN STD_LOGIC;
	FSL1_S_EXISTS : IN STD_LOGIC;
	FSL1_M_CLK : OUT STD_LOGIC;
	FSL1_M_WRITE : OUT STD_LOGIC;
	FSL1_M_DATA : OUT STD_LOGIC_VECTOR(0 TO 31);
	FSL1_M_CONTROL : OUT STD_LOGIC;
	FSL1_M_FULL : IN STD_LOGIC;
	FSL2_S_CLK : OUT STD_LOGIC;
	FSL2_S_READ : OUT STD_LOGIC;
	FSL2_S_DATA : IN STD_LOGIC_VECTOR(0 TO 31);
	FSL2_S_CONTROL : IN STD_LOGIC;
	FSL2_S_EXISTS : IN STD_LOGIC;
	FSL2_M_CLK : OUT STD_LOGIC;
	FSL2_M_WRITE : OUT STD_LOGIC;
	FSL2_M_DATA : OUT STD_LOGIC_VECTOR(0 TO 31);
	FSL2_M_CONTROL : OUT STD_LOGIC;
	FSL2_M_FULL : IN STD_LOGIC;
	FSL3_S_CLK : OUT STD_LOGIC;
	FSL3_S_READ : OUT STD_LOGIC;
	FSL3_S_DATA : IN STD_LOGIC_VECTOR(0 TO 31);
	FSL3_S_CONTROL : IN STD_LOGIC;
	FSL3_S_EXISTS : IN STD_LOGIC;
	FSL3_M_CLK : OUT STD_LOGIC;
	FSL3_M_WRITE : OUT STD_LOGIC;
	FSL3_M_DATA : OUT STD_LOGIC_VECTOR(0 TO 31);
	FSL3_M_CONTROL : OUT STD_LOGIC;
	FSL3_M_FULL : IN STD_LOGIC;
	FSL4_S_CLK : OUT STD_LOGIC;
	FSL4_S_READ : OUT STD_LOGIC;
	FSL4_S_DATA : IN STD_LOGIC_VECTOR(0 TO 31);
	FSL4_S_CONTROL : IN STD_LOGIC;
	FSL4_S_EXISTS : IN STD_LOGIC;
	FSL4_M_CLK : OUT STD_LOGIC;
	FSL4_M_WRITE : OUT STD_LOGIC;
	FSL4_M_DATA : OUT STD_LOGIC_VECTOR(0 TO 31);
	FSL4_M_CONTROL : OUT STD_LOGIC;
	FSL4_M_FULL : IN STD_LOGIC;
	FSL5_S_CLK : OUT STD_LOGIC;
	FSL5_S_READ : OUT STD_LOGIC;
	FSL5_S_DATA : IN STD_LOGIC_VECTOR(0 TO 31);
	FSL5_S_CONTROL : IN STD_LOGIC;
	FSL5_S_EXISTS : IN STD_LOGIC;
	FSL5_M_CLK : OUT STD_LOGIC;
	FSL5_M_WRITE : OUT STD_LOGIC;
	FSL5_M_DATA : OUT STD_LOGIC_VECTOR(0 TO 31);
	FSL5_M_CONTROL : OUT STD_LOGIC;
	FSL5_M_FULL : IN STD_LOGIC;
	FSL6_S_CLK : OUT STD_LOGIC;
	FSL6_S_READ : OUT STD_LOGIC;
	FSL6_S_DATA : IN STD_LOGIC_VECTOR(0 TO 31);
	FSL6_S_CONTROL : IN STD_LOGIC;
	FSL6_S_EXISTS : IN STD_LOGIC;
	FSL6_M_CLK : OUT STD_LOGIC;
	FSL6_M_WRITE : OUT STD_LOGIC;
	FSL6_M_DATA : OUT STD_LOGIC_VECTOR(0 TO 31);
	FSL6_M_CONTROL : OUT STD_LOGIC;
	FSL6_M_FULL : IN STD_LOGIC;
	FSL7_S_CLK : OUT STD_LOGIC;
	FSL7_S_READ : OUT STD_LOGIC;
	FSL7_S_DATA : IN STD_LOGIC_VECTOR(0 TO 31);
	FSL7_S_CONTROL : IN STD_LOGIC;
	FSL7_S_EXISTS : IN STD_LOGIC;
	FSL7_M_CLK : OUT STD_LOGIC;
	FSL7_M_WRITE : OUT STD_LOGIC;
	FSL7_M_DATA : OUT STD_LOGIC_VECTOR(0 TO 31);
	FSL7_M_CONTROL : OUT STD_LOGIC;
	FSL7_M_FULL : IN STD_LOGIC);
END mymicroblaze_wrapper;

ARCHITECTURE IMP OF mymicroblaze_wrapper IS

--------------------------------------------------------------------------------
COMPONENT microblaze IS
GENERIC (
	C_FAMILY : STRING := "spartan2e";
	C_INSTANCE : STRING := "mymicroblaze";
	C_D_OPB : INTEGER := 1;
	C_D_LMB : INTEGER := 1;
	C_I_OPB : INTEGER := 1;
	C_I_LMB : INTEGER := 1;
	C_USE_BARREL : INTEGER := 1;
	C_USE_DIV : INTEGER := 0;
	C_DEBUG_ENABLED : INTEGER := 0;
	C_NUMBER_OF_PC_BRK : INTEGER := 1;
	C_NUMBER_OF_RD_ADDR_BRK : INTEGER := 0;
	C_NUMBER_OF_WR_ADDR_BRK : INTEGER := 0;
	C_INTERRUPT_IS_EDGE : INTEGER := 0;
	C_EDGE_IS_POSITIVE : INTEGER := 1;
	C_FSL_LINKS : INTEGER := 0;
	C_FSL_DATA_SIZE : INTEGER := 32;
	C_ICACHE_BASEADDR : STD_LOGIC_VECTOR := X"00000000";
	C_ICACHE_HIGHADDR : STD_LOGIC_VECTOR := X"3fffffff";
	C_USE_ICACHE : INTEGER := 0;
	C_ALLOW_ICACHE_WR : INTEGER := 1;
	C_ADDR_TAG_BITS : INTEGER := 7;
	C_CACHE_BYTE_SIZE : INTEGER := 8192;
	C_DCACHE_BASEADDR : STD_LOGIC_VECTOR := X"00000000";
	C_DCACHE_HIGHADDR : STD_LOGIC_VECTOR := X"3fffffff";
	C_USE_DCACHE : INTEGER := 0;
	C_ALLOW_DCACHE_WR : INTEGER := 1;
	C_DCACHE_ADDR_TAG : INTEGER := 7;
	C_DCACHE_BYTE_SIZE : INTEGER := 8192);
PORT (
	CLK : IN STD_LOGIC;
	INTERRUPT : IN STD_LOGIC;
	RESET : IN STD_LOGIC;
	DEBUG_RST : IN STD_LOGIC;
	EXT_BRK : IN STD_LOGIC;
	EXT_NM_BRK : IN STD_LOGIC;
	DBG_STOP : IN STD_LOGIC;
	INSTR : IN STD_LOGIC_VECTOR(0 TO 31);
	IREADY : IN STD_LOGIC;
	INSTR_ADDR : OUT STD_LOGIC_VECTOR(0 TO 31);
	IFETCH : OUT STD_LOGIC;
	I_AS : OUT STD_LOGIC;
	DATA_READ : IN STD_LOGIC_VECTOR(0 TO 31);
	DREADY : IN STD_LOGIC;
	DATA_WRITE : OUT STD_LOGIC_VECTOR(0 TO 31);
	DATA_ADDR : OUT STD_LOGIC_VECTOR(0 TO 31);
	D_AS : OUT STD_LOGIC;
	READ_STROBE : OUT STD_LOGIC;
	WRITE_STROBE : OUT STD_LOGIC;
	BYTE_ENABLE : OUT STD_LOGIC_VECTOR(0 TO 3);
	DM_ABUS : OUT STD_LOGIC_VECTOR(0 TO 31);
	DM_BE : OUT STD_LOGIC_VECTOR(0 TO 3);
	DM_BUSLOCK : OUT STD_LOGIC;
	DM_DBUS : OUT STD_LOGIC_VECTOR(0 TO 31);
	DM_REQUEST : OUT STD_LOGIC;
	DM_RNW : OUT STD_LOGIC;
	DM_SELECT : OUT STD_LOGIC;
	DM_SEQADDR : OUT STD_LOGIC;
	DOPB_DBUS : IN STD_LOGIC_VECTOR(0 TO 31);
	DOPB_ERRACK : IN STD_LOGIC;
	DOPB_MGRANT : IN STD_LOGIC;
	DOPB_RETRY : IN STD_LOGIC;
	DOPB_TIMEOUT : IN STD_LOGIC;
	DOPB_XFERACK : IN STD_LOGIC;
	IM_ABUS : OUT STD_LOGIC_VECTOR(0 TO 31);
	IM_BE : OUT STD_LOGIC_VECTOR(0 TO 3);
	IM_BUSLOCK : OUT STD_LOGIC;
	IM_DBUS : OUT STD_LOGIC_VECTOR(0 TO 31);
	IM_REQUEST : OUT STD_LOGIC;
	IM_RNW : OUT STD_LOGIC;
	IM_SELECT : OUT STD_LOGIC;
	IM_SEQADDR : OUT STD_LOGIC;
	IOPB_DBUS : IN STD_LOGIC_VECTOR(0 TO 31);
	IOPB_ERRACK : IN STD_LOGIC;
	IOPB_MGRANT : IN STD_LOGIC;
	IOPB_RETRY : IN STD_LOGIC;
	IOPB_TIMEOUT : IN STD_LOGIC;
	IOPB_XFERACK : IN STD_LOGIC;
	DBG_CLK : IN STD_LOGIC;
	DBG_TDI : IN STD_LOGIC;
	DBG_TDO : OUT STD_LOGIC;
	DBG_REG_EN : IN STD_LOGIC_VECTOR(0 TO 4);
	DBG_CAPTURE : IN STD_LOGIC;
	DBG_UPDATE : IN STD_LOGIC;
	VALID_INSTR : OUT STD_LOGIC;
	PC_EX : OUT STD_LOGIC_VECTOR(0 TO 31);
	REG_WRITE : OUT STD_LOGIC;
	REG_ADDR : OUT STD_LOGIC_VECTOR(0 TO 4);
	MSR_REG : OUT STD_LOGIC_VECTOR(0 TO 7);
	NEW_REG_VALUE : OUT STD_LOGIC_VECTOR(0 TO 31);
	PIPE_RUNNING : OUT STD_LOGIC;
	INTERRUPT_TAKEN : OUT STD_LOGIC;
	JUMP_TAKEN : OUT STD_LOGIC;
	PREFETCH_ADDR : OUT STD_LOGIC_VECTOR(0 TO 3);
	MB_Halted : OUT STD_LOGIC;
	FSL0_S_CLK : OUT STD_LOGIC;
	FSL0_S_READ : OUT STD_LOGIC;
	FSL0_S_DATA : IN STD_LOGIC_VECTOR(0 TO C_FSL_DATA_SIZE-1);
	FSL0_S_CONTROL : IN STD_LOGIC;
	FSL0_S_EXISTS : IN STD_LOGIC;
	FSL0_M_CLK : OUT STD_LOGIC;
	FSL0_M_WRITE : OUT STD_LOGIC;
	FSL0_M_DATA : OUT STD_LOGIC_VECTOR(0 TO C_FSL_DATA_SIZE-1);
	FSL0_M_CONTROL : OUT STD_LOGIC;
	FSL0_M_FULL : IN STD_LOGIC;
	FSL1_S_CLK : OUT STD_LOGIC;
	FSL1_S_READ : OUT STD_LOGIC;
	FSL1_S_DATA : IN STD_LOGIC_VECTOR(0 TO C_FSL_DATA_SIZE-1);
	FSL1_S_CONTROL : IN STD_LOGIC;
	FSL1_S_EXISTS : IN STD_LOGIC;
	FSL1_M_CLK : OUT STD_LOGIC;
	FSL1_M_WRITE : OUT STD_LOGIC;
	FSL1_M_DATA : OUT STD_LOGIC_VECTOR(0 TO C_FSL_DATA_SIZE-1);
	FSL1_M_CONTROL : OUT STD_LOGIC;
	FSL1_M_FULL : IN STD_LOGIC;
	FSL2_S_CLK : OUT STD_LOGIC;
	FSL2_S_READ : OUT STD_LOGIC;
	FSL2_S_DATA : IN STD_LOGIC_VECTOR(0 TO C_FSL_DATA_SIZE-1);
	FSL2_S_CONTROL : IN STD_LOGIC;
	FSL2_S_EXISTS : IN STD_LOGIC;
	FSL2_M_CLK : OUT STD_LOGIC;
	FSL2_M_WRITE : OUT STD_LOGIC;
	FSL2_M_DATA : OUT STD_LOGIC_VECTOR(0 TO C_FSL_DATA_SIZE-1);
	FSL2_M_CONTROL : OUT STD_LOGIC;
	FSL2_M_FULL : IN STD_LOGIC;
	FSL3_S_CLK : OUT STD_LOGIC;
	FSL3_S_READ : OUT STD_LOGIC;
	FSL3_S_DATA : IN STD_LOGIC_VECTOR(0 TO C_FSL_DATA_SIZE-1);
	FSL3_S_CONTROL : IN STD_LOGIC;
	FSL3_S_EXISTS : IN STD_LOGIC;
	FSL3_M_CLK : OUT STD_LOGIC;
	FSL3_M_WRITE : OUT STD_LOGIC;
	FSL3_M_DATA : OUT STD_LOGIC_VECTOR(0 TO C_FSL_DATA_SIZE-1);
	FSL3_M_CONTROL : OUT STD_LOGIC;
	FSL3_M_FULL : IN STD_LOGIC;
	FSL4_S_CLK : OUT STD_LOGIC;
	FSL4_S_READ : OUT STD_LOGIC;
	FSL4_S_DATA : IN STD_LOGIC_VECTOR(0 TO C_FSL_DATA_SIZE-1);
	FSL4_S_CONTROL : IN STD_LOGIC;
	FSL4_S_EXISTS : IN STD_LOGIC;
	FSL4_M_CLK : OUT STD_LOGIC;
	FSL4_M_WRITE : OUT STD_LOGIC;
	FSL4_M_DATA : OUT STD_LOGIC_VECTOR(0 TO C_FSL_DATA_SIZE-1);
	FSL4_M_CONTROL : OUT STD_LOGIC;
	FSL4_M_FULL : IN STD_LOGIC;
	FSL5_S_CLK : OUT STD_LOGIC;
	FSL5_S_READ : OUT STD_LOGIC;
	FSL5_S_DATA : IN STD_LOGIC_VECTOR(0 TO C_FSL_DATA_SIZE-1);
	FSL5_S_CONTROL : IN STD_LOGIC;
	FSL5_S_EXISTS : IN STD_LOGIC;
	FSL5_M_CLK : OUT STD_LOGIC;
	FSL5_M_WRITE : OUT STD_LOGIC;
	FSL5_M_DATA : OUT STD_LOGIC_VECTOR(0 TO C_FSL_DATA_SIZE-1);
	FSL5_M_CONTROL : OUT STD_LOGIC;
	FSL5_M_FULL : IN STD_LOGIC;
	FSL6_S_CLK : OUT STD_LOGIC;
	FSL6_S_READ : OUT STD_LOGIC;
	FSL6_S_DATA : IN STD_LOGIC_VECTOR(0 TO C_FSL_DATA_SIZE-1);
	FSL6_S_CONTROL : IN STD_LOGIC;
	FSL6_S_EXISTS : IN STD_LOGIC;
	FSL6_M_CLK : OUT STD_LOGIC;
	FSL6_M_WRITE : OUT STD_LOGIC;
	FSL6_M_DATA : OUT STD_LOGIC_VECTOR(0 TO C_FSL_DATA_SIZE-1);
	FSL6_M_CONTROL : OUT STD_LOGIC;
	FSL6_M_FULL : IN STD_LOGIC;
	FSL7_S_CLK : OUT STD_LOGIC;
	FSL7_S_READ : OUT STD_LOGIC;
	FSL7_S_DATA : IN STD_LOGIC_VECTOR(0 TO C_FSL_DATA_SIZE-1);
	FSL7_S_CONTROL : IN STD_LOGIC;
	FSL7_S_EXISTS : IN STD_LOGIC;
	FSL7_M_CLK : OUT STD_LOGIC;
	FSL7_M_WRITE : OUT STD_LOGIC;
	FSL7_M_DATA : OUT STD_LOGIC_VECTOR(0 TO C_FSL_DATA_SIZE-1);
	FSL7_M_CONTROL : OUT STD_LOGIC;
	FSL7_M_FULL : IN STD_LOGIC);
END COMPONENT;

--------------------------------------------------------------------------------
-- internal signals
--------------------------------------------------------------------------------

BEGIN

--------------------------------------------------------------------------------
-- Power assignments
--------------------------------------------------------------------------------
-- Constant assignments
--------------------------------------------------------------------------------
-- Top-level port assignments
--------------------------------------------------------------------------------
-- Lower-level assignments

--------------------------------------------------------------------------------
microblaze_0_i : microblaze
GENERIC MAP (
	C_FAMILY => "spartan2e",
	C_INSTANCE => "mymicroblaze",
	C_D_OPB => 1,
	C_D_LMB => 1,
	C_I_OPB => 1,
	C_I_LMB => 1,
	C_USE_BARREL => 1,
	C_USE_DIV => 0,
	C_DEBUG_ENABLED => 0,
	C_NUMBER_OF_PC_BRK => 1,
	C_NUMBER_OF_RD_ADDR_BRK => 0,
	C_NUMBER_OF_WR_ADDR_BRK => 0,
	C_INTERRUPT_IS_EDGE => 0,
	C_EDGE_IS_POSITIVE => 1,
	C_FSL_LINKS => 0,
	C_FSL_DATA_SIZE => 32,
	C_ICACHE_BASEADDR => X"00000000",
	C_ICACHE_HIGHADDR => X"3fffffff",
	C_USE_ICACHE => 0,
	C_ALLOW_ICACHE_WR => 1,
	C_ADDR_TAG_BITS => 7,
	C_CACHE_BYTE_SIZE => 8192,
	C_DCACHE_BASEADDR => X"00000000",
	C_DCACHE_HIGHADDR => X"3fffffff",
	C_USE_DCACHE => 0,
	C_ALLOW_DCACHE_WR => 1,
	C_DCACHE_ADDR_TAG => 7,
	C_DCACHE_BYTE_SIZE => 8192)
PORT MAP (
	CLK => CLK,
	INTERRUPT => INTERRUPT,
	RESET => RESET,
	DEBUG_RST => DEBUG_RST,
	EXT_BRK => EXT_BRK,
	EXT_NM_BRK => EXT_NM_BRK,
	DBG_STOP => DBG_STOP,
	INSTR => INSTR,
	IREADY => IREADY,
	INSTR_ADDR => INSTR_ADDR,
	IFETCH => IFETCH,
	I_AS => I_AS,
	DATA_READ => DATA_READ,
	DREADY => DREADY,
	DATA_WRITE => DATA_WRITE,
	DATA_ADDR => DATA_ADDR,
	D_AS => D_AS,
	READ_STROBE => READ_STROBE,
	WRITE_STROBE => WRITE_STROBE,
	BYTE_ENABLE => BYTE_ENABLE,
	DM_ABUS => DM_ABUS,
	DM_BE => DM_BE,
	DM_BUSLOCK => DM_BUSLOCK,
	DM_DBUS => DM_DBUS,
	DM_REQUEST => DM_REQUEST,
	DM_RNW => DM_RNW,
	DM_SELECT => DM_SELECT,
	DM_SEQADDR => DM_SEQADDR,
	DOPB_DBUS => DOPB_DBUS,
	DOPB_ERRACK => DOPB_ERRACK,
	DOPB_MGRANT => DOPB_MGRANT,
	DOPB_RETRY => DOPB_RETRY,
	DOPB_TIMEOUT => DOPB_TIMEOUT,
	DOPB_XFERACK => DOPB_XFERACK,
	IM_ABUS => IM_ABUS,
	IM_BE => IM_BE,
	IM_BUSLOCK => IM_BUSLOCK,
	IM_DBUS => IM_DBUS,
	IM_REQUEST => IM_REQUEST,
	IM_RNW => IM_RNW,
	IM_SELECT => IM_SELECT,
	IM_SEQADDR => IM_SEQADDR,
	IOPB_DBUS => IOPB_DBUS,
	IOPB_ERRACK => IOPB_ERRACK,
	IOPB_MGRANT => IOPB_MGRANT,
	IOPB_RETRY => IOPB_RETRY,
	IOPB_TIMEOUT => IOPB_TIMEOUT,
	IOPB_XFERACK => IOPB_XFERACK,
	DBG_CLK => DBG_CLK,
	DBG_TDI => DBG_TDI,
	DBG_TDO => DBG_TDO,
	DBG_REG_EN => DBG_REG_EN,
	DBG_CAPTURE => DBG_CAPTURE,
	DBG_UPDATE => DBG_UPDATE,
	VALID_INSTR => VALID_INSTR,
	PC_EX => PC_EX,
	REG_WRITE => REG_WRITE,
	REG_ADDR => REG_ADDR,
	MSR_REG => MSR_REG,
	NEW_REG_VALUE => NEW_REG_VALUE,
	PIPE_RUNNING => PIPE_RUNNING,
	INTERRUPT_TAKEN => INTERRUPT_TAKEN,
	JUMP_TAKEN => JUMP_TAKEN,
	PREFETCH_ADDR => PREFETCH_ADDR,
	MB_Halted => MB_Halted,
	FSL0_S_CLK => FSL0_S_CLK,
	FSL0_S_READ => FSL0_S_READ,
	FSL0_S_DATA => FSL0_S_DATA,
	FSL0_S_CONTROL => FSL0_S_CONTROL,
	FSL0_S_EXISTS => FSL0_S_EXISTS,
	FSL0_M_CLK => FSL0_M_CLK,
	FSL0_M_WRITE => FSL0_M_WRITE,
	FSL0_M_DATA => FSL0_M_DATA,
	FSL0_M_CONTROL => FSL0_M_CONTROL,
	FSL0_M_FULL => FSL0_M_FULL,
	FSL1_S_CLK => FSL1_S_CLK,
	FSL1_S_READ => FSL1_S_READ,
	FSL1_S_DATA => FSL1_S_DATA,
	FSL1_S_CONTROL => FSL1_S_CONTROL,
	FSL1_S_EXISTS => FSL1_S_EXISTS,
	FSL1_M_CLK => FSL1_M_CLK,
	FSL1_M_WRITE => FSL1_M_WRITE,
	FSL1_M_DATA => FSL1_M_DATA,
	FSL1_M_CONTROL => FSL1_M_CONTROL,
	FSL1_M_FULL => FSL1_M_FULL,
	FSL2_S_CLK => FSL2_S_CLK,
	FSL2_S_READ => FSL2_S_READ,
	FSL2_S_DATA => FSL2_S_DATA,
	FSL2_S_CONTROL => FSL2_S_CONTROL,
	FSL2_S_EXISTS => FSL2_S_EXISTS,
	FSL2_M_CLK => FSL2_M_CLK,
	FSL2_M_WRITE => FSL2_M_WRITE,
	FSL2_M_DATA => FSL2_M_DATA,
	FSL2_M_CONTROL => FSL2_M_CONTROL,
	FSL2_M_FULL => FSL2_M_FULL,
	FSL3_S_CLK => FSL3_S_CLK,
	FSL3_S_READ => FSL3_S_READ,
	FSL3_S_DATA => FSL3_S_DATA,
	FSL3_S_CONTROL => FSL3_S_CONTROL,
	FSL3_S_EXISTS => FSL3_S_EXISTS,
	FSL3_M_CLK => FSL3_M_CLK,
	FSL3_M_WRITE => FSL3_M_WRITE,
	FSL3_M_DATA => FSL3_M_DATA,
	FSL3_M_CONTROL => FSL3_M_CONTROL,
	FSL3_M_FULL => FSL3_M_FULL,
	FSL4_S_CLK => FSL4_S_CLK,
	FSL4_S_READ => FSL4_S_READ,
	FSL4_S_DATA => FSL4_S_DATA,
	FSL4_S_CONTROL => FSL4_S_CONTROL,
	FSL4_S_EXISTS => FSL4_S_EXISTS,
	FSL4_M_CLK => FSL4_M_CLK,
	FSL4_M_WRITE => FSL4_M_WRITE,
	FSL4_M_DATA => FSL4_M_DATA,
	FSL4_M_CONTROL => FSL4_M_CONTROL,
	FSL4_M_FULL => FSL4_M_FULL,
	FSL5_S_CLK => FSL5_S_CLK,
	FSL5_S_READ => FSL5_S_READ,
	FSL5_S_DATA => FSL5_S_DATA,
	FSL5_S_CONTROL => FSL5_S_CONTROL,
	FSL5_S_EXISTS => FSL5_S_EXISTS,
	FSL5_M_CLK => FSL5_M_CLK,
	FSL5_M_WRITE => FSL5_M_WRITE,
	FSL5_M_DATA => FSL5_M_DATA,
	FSL5_M_CONTROL => FSL5_M_CONTROL,
	FSL5_M_FULL => FSL5_M_FULL,
	FSL6_S_CLK => FSL6_S_CLK,
	FSL6_S_READ => FSL6_S_READ,
	FSL6_S_DATA => FSL6_S_DATA,
	FSL6_S_CONTROL => FSL6_S_CONTROL,
	FSL6_S_EXISTS => FSL6_S_EXISTS,
	FSL6_M_CLK => FSL6_M_CLK,
	FSL6_M_WRITE => FSL6_M_WRITE,
	FSL6_M_DATA => FSL6_M_DATA,
	FSL6_M_CONTROL => FSL6_M_CONTROL,
	FSL6_M_FULL => FSL6_M_FULL,
	FSL7_S_CLK => FSL7_S_CLK,
	FSL7_S_READ => FSL7_S_READ,
	FSL7_S_DATA => FSL7_S_DATA,
	FSL7_S_CONTROL => FSL7_S_CONTROL,
	FSL7_S_EXISTS => FSL7_S_EXISTS,
	FSL7_M_CLK => FSL7_M_CLK,
	FSL7_M_WRITE => FSL7_M_WRITE,
	FSL7_M_DATA => FSL7_M_DATA,
	FSL7_M_CONTROL => FSL7_M_CONTROL,
	FSL7_M_FULL => FSL7_M_FULL);

END ARCHITECTURE IMP;
