#################################################################
# Makefile generated by Xilinx Platform Studio 
# Project:/home/user6/spring06/yg2153/4840/finalproject/newproject/system.xmp
#################################################################

XILINX_EDK_DIR = /usr/cad/xilinx/edk7.1i

SYSTEM = system

MHSFILE = system.mhs

MSSFILE = system.mss

FPGA_ARCH = spartan2e

DEVICE = xc2s300epq208-6

LANGUAGE = vhdl

SEARCHPATHOPT = 

SUBMODULE_OPT = 

PLATGEN_OPTIONS = -p $(DEVICE) -lang $(LANGUAGE) $(SEARCHPATHOPT) $(SUBMODULE_OPT)

LIBGEN_OPTIONS = -mhs $(MHSFILE) -p $(DEVICE) $(SEARCHPATHOPT) \
                   $(MYMICROBLAZE_LIBG_OPT)

VPGEN_OPTIONS = -p $(DEVICE) $(SEARCHPATHOPT)

SRAM_OUTPUT_DIR = sram
SRAM_OUTPUT = $(SRAM_OUTPUT_DIR)/executable.elf

MICROBLAZE_BOOTLOOP = $(XILINX_EDK_DIR)/sw/lib/microblaze/mb_bootloop.elf
PPC405_BOOTLOOP = $(XILINX_EDK_DIR)/sw/lib/ppc405/ppc_bootloop.elf
BOOTLOOP_DIR = bootloops

MYMICROBLAZE_BOOTLOOP = $(BOOTLOOP_DIR)/mymicroblaze.elf
MYMICROBLAZE_XMDSTUB = mymicroblaze/code/xmdstub.elf

BRAMINIT_ELF_FILES =  $(SRAM_OUTPUT) 
BRAMINIT_ELF_FILE_ARGS =   -pe mymicroblaze $(SRAM_OUTPUT) 

ALL_USER_ELF_FILES = $(SRAM_OUTPUT) 

SIM_CMD = vsim

BEHAVIORAL_SIM_SCRIPT = simulation/behavioral/$(SYSTEM).do

STRUCTURAL_SIM_SCRIPT = simulation/structural/$(SYSTEM).do

TIMING_SIM_SCRIPT = simulation/timing/$(SYSTEM).do

DEFAULT_SIM_SCRIPT = $(BEHAVIORAL_SIM_SCRIPT)

MIX_LANG_SIM_OPT = -mixed yes

SIMGEN_OPTIONS = -p $(DEVICE) -lang $(LANGUAGE) $(SEARCHPATHOPT) $(SUBMODULE_OPT) $(BRAMINIT_ELF_FILE_ARGS) $(MIX_LANG_SIM_OPT)  -s mti


LIBRARIES =  \
       mymicroblaze/lib/libxil.a 
VPEXEC = virtualplatform/vpexec

LIBSCLEAN_TARGETS = mymicroblaze_libsclean 

PROGRAMCLEAN_TARGETS = sram_programclean 

CORE_STATE_DEVELOPMENT_FILES = 

WRAPPER_NGC_FILES = implementation/intc_wrapper.ngc \
implementation/d_lmb_wrapper.ngc \
implementation/lmb_data_controller_wrapper.ngc \
implementation/i_lmb_wrapper.ngc \
implementation/lmb_instruction_controller_wrapper.ngc \
implementation/bram_wrapper.ngc \
implementation/clkgen_0_wrapper.ngc \
implementation/myopb_bus_wrapper.ngc \
implementation/myuart_wrapper.ngc \
implementation/mymicroblaze_wrapper.ngc \
implementation/sram_ethernet_0_wrapper.ngc

POSTSYN_NETLIST = implementation/$(SYSTEM).ngc

SYSTEM_BIT = implementation/$(SYSTEM).bit

DOWNLOAD_BIT = implementation/download.bit

SYSTEM_ACE = implementation/$(SYSTEM).ace

UCF_FILE = data/system.ucf

BMM_FILE = implementation/$(SYSTEM).bmm

FASTRUNTIME_OPT_FILE = etc/fast_runtime.opt
BITGEN_UT_FILE = etc/bitgen.ut

#################################################################
# SOFTWARE APPLICATION SRAM
#################################################################

SRAM_SOURCES = c_source_files/etherSend.c c_source_files/main.c 

SRAM_HEADERS = c_source_files/jaycam.h 

SRAM_CC = mb-gcc
SRAM_CC_SIZE = mb-size
SRAM_CC_OPT = -O2
SRAM_CFLAGS = 
SRAM_CC_SEARCH = # -B
SRAM_LIBPATH = -L./mymicroblaze/lib/ # -L
SRAM_INCLUDES = -I./mymicroblaze/include/  -Ic_source_files/ # -I
SRAM_LFLAGS = # -l
SRAM_CC_PREPROC_FLAG = # -Wp,
SRAM_CC_ASM_FLAG = # -Wa,
SRAM_CC_LINKER_FLAG = # -Wl,
SRAM_LINKER_SCRIPT = 
SRAM_LINKER_SCRIPT_FLAG = #-Wl,-T -Wl,$(SRAM_LINKER_SCRIPT) 
SRAM_CC_DEBUG_FLAG =  -g 
SRAM_CC_GLOBPTR_FLAG= # -mxl-gp-opt
SRAM_MODE = executable
SRAM_LIBG_OPT = -$(SRAM_MODE) mymicroblaze
SRAM_CC_START_ADDR_FLAG=  # -Wl,-defsym -Wl,_TEXT_START_ADDR=
SRAM_CC_STACK_SIZE_FLAG=  # -Wl,-defsym -Wl,_STACK_SIZE=
SRAM_OTHER_CC_FLAGS= $(SRAM_CC_GLOBPTR_FLAG)  \
                  $(SRAM_CC_START_ADDR_FLAG) $(SRAM_CC_STACK_SIZE_FLAG)  \
                   -mxl-barrel-shift \
                  $(SRAM_CC_PREPROC_FLAG) $(SRAM_CC_ASM_FLAG) $(SRAM_CC_LINKER_FLAG)  \
                  $(SRAM_LINKER_SCRIPT_FLAG) $(SRAM_CC_DEBUG_FLAG) 
